Loading...
Searching...
No Matches
gr::edge Class Reference

Class representing a connection between to graph endpoints. More...

`#include <gnuradio/flowgraph.h>`

## Public Member Functions

| edge ()
| edge (const endpoint &src, const endpoint &dst)
| ~edge ()
const endpoint & | src () const
const endpoint & | dst () const
std::string | identifier () const

## Detailed Description

Class representing a connection between to graph endpoints.

## Constructor & Destructor Documentation

## edge() [1/2]

gr::edge::edge | ( |  | ) |

inline

## edge() [2/2]

gr::edge::edge | ( | const endpoint & | src,
|  | const endpoint & | dst )

inline

References dst(), and src().

## ~edge()

gr::edge::~edge | ( |  | ) |

## Member Function Documentation

## dst()

const endpoint & gr::edge::dst | ( |  | ) | const

inline

Referenced by edge().

## identifier()

std::string gr::edge::identifier | ( |  | ) | const

inline

Referenced by gr::operator<<(), and gr::operator<<().

## src()

const endpoint & gr::edge::src | ( |  | ) | const

inline

Referenced by edge().

The documentation for this class was generated from the following file:

- flowgraph.h